<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:16 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Interface org.apache.http.conn.SocketClientConnection (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.apache.http.conn.SocketClientConnection (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/conn//class-useSocketClientConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SocketClientConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.http.conn.SocketClientConnection</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.conn"><B>org.apache.http.conn</B></A></TD>
<TD>The client-side connection management and handling API that provides interfaces
and implementations for opening and managing client side HTTP connections.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.client"><B>org.apache.http.impl.client</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/auth/package-summary.html"><CODE>org.apache.http.client</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.conn"><B>org.apache.http.impl.conn</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/impl/conn/package-summary.html"><CODE>org.apache.http.impl.conn</CODE></A> and related classes.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.conn.tsccm"><B>org.apache.http.impl.conn.tsccm</B></A></TD>
<TD>The implementation of a thread-safe client connection manager.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.conn"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A> in <A HREF="../../../../../org/apache/http/conn/package-summary.html">org.apache.http.conn</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A> in <A HREF="../../../../../org/apache/http/conn/package-summary.html">org.apache.http.conn</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) replaced by <A HREF="../../../../../org/apache/http/conn/HttpClientConnectionManager.html" title="interface in org.apache.http.conn"><CODE>HttpClientConnectionManager</CODE></A>.</I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.client"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A> in <A HREF="../../../../../org/apache/http/impl/client/package-summary.html">org.apache.http.impl.client</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../../org/apache/http/impl/client/package-summary.html">org.apache.http.impl.client</A> with type arguments of type <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/ProxyClient.html#ProxyClient(org.apache.http.conn.HttpConnectionFactory, org.apache.http.config.ConnectionConfig, org.apache.http.client.config.RequestConfig)">ProxyClient</A></B>(<A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.ConnectionConfig.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.ConnectionConfig</A>&nbsp;connectionConfig,
            <A HREF="../../../../../org/apache/http/client/config/RequestConfig.html" title="class in org.apache.http.client.config">RequestConfig</A>&nbsp;requestConfig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.conn"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A> in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> that implement <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractClientConnAdapter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2)  do not use</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn">AbstractPooledConnAdapter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2)  do not use</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnection.html" title="class in org.apache.http.impl.conn">DefaultClientConnection</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) deprecated in favor of <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/impl/conn.SocketClientConnectionImpl.html?is-external=true" title="class or interface in org.apache.http.impl"><CODE>SocketClientConnectionImpl</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/SingleClientConnManager.ConnAdapter.html" title="class in org.apache.http.impl.conn">SingleClientConnManager.ConnAdapter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The connection adapter used by this manager.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> that return <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></CODE></FONT></TD>
<TD><CODE><B>DefaultClientConnectionFactory.</B><B><A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnectionFactory.html#create(org.apache.http.config.ConnectionConfig)">create</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.ConnectionConfig.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> with type arguments of type <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/BasicHttpClientConnectionManager.html#BasicHttpClientConnectionManager(org.apache.http.config.Lookup, org.apache.http.conn.HttpConnectionFactory)">BasicHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Lookup</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                 <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/BasicHttpClientConnectionManager.html#BasicHttpClientConnectionManager(org.apache.http.config.Lookup, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.SchemePortResolver, org.apache.http.conn.DnsResolver)">BasicHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Lookup</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                 <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                 <A HREF="../../../../../org/apache/http/conn/SchemePortResolver.html" title="interface in org.apache.http.conn">SchemePortResolver</A>&nbsp;schemePortResolver,
                                 <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.conn.HttpConnectionFactory)">PoolingHttpClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.HttpConnectionFactory)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.DnsResolver)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                   <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.SchemePortResolver, org.apache.http.conn.DnsResolver, long, java.util.concurrent.TimeUnit)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                   <A HREF="../../../../../org/apache/http/conn/SchemePortResolver.html" title="interface in org.apache.http.conn">SchemePortResolver</A>&nbsp;schemePortResolver,
                                   <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver,
                                   long&nbsp;timeToLive,
                                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.conn.tsccm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A> in <A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-summary.html">org.apache.http.impl.conn.tsccm</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/http/impl/conn/tsccm/package-summary.html">org.apache.http.impl.conn.tsccm</A> that implement <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm">BasicPooledConnAdapter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2)  do not use</I></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/conn//class-useSocketClientConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SocketClientConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
